Bug 111848 - [GTK] Add webkit_web_context_set_disk_cache_directory to WebKit2 GTK+ API
Summary: [GTK] Add webkit_web_context_set_disk_cache_directory to WebKit2 GTK+ API
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on: 111845
Blocks: 113036
  Show dependency treegraph
 
Reported: 2013-03-08 05:30 PST by Carlos Garcia Campos
Modified: 2013-04-22 09:02 PDT (History)
10 users (show)

See Also:


Attachments
Patch (4.94 KB, patch)
2013-03-08 05:32 PST, Carlos Garcia Campos
andersca: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2013-03-08 05:30:21 PST
ssia
Comment 1 Carlos Garcia Campos 2013-03-08 05:32:49 PST
Created attachment 192205 [details]
Patch
Comment 2 WebKit Review Bot 2013-03-08 05:38:23 PST
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 3 Gustavo Noronha (kov) 2013-03-11 07:03:56 PDT
Comment on attachment 192205 [details]
Patch

This API looks straightforward enough for me, looks good
Comment 4 Carlos Garcia Campos 2013-03-11 07:07:40 PDT
(In reply to comment #3)
> (From update of attachment 192205 [details])
> This API looks straightforward enough for me, looks good

Thanks for the review, this is useless until bug #111845 is fixed, though.
Comment 5 Carlos Garcia Campos 2013-03-24 03:36:11 PDT
Comment on attachment 192205 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=192205&action=review

> Source/WebKit2/UIProcess/API/gtk/tests/TestMain.cpp:47
> +        GOwnPtr<char> filePath(g_build_filename(directoryPath, fileName, 0));

Auto-review reminder :-P This should be NULL instead of 0, since it's a sentinel.
Comment 6 Carlos Garcia Campos 2013-04-22 09:02:23 PDT
Committed r148887: <http://trac.webkit.org/changeset/148887>